//
//  WebViewController.m
//  XibUIWebView
//
//  Created by lanou3g on 14-7-28.
//  Copyright (c) 2014年 李帅. All rights reserved.
//

#import "WebViewController.h"

@interface WebViewController ()
{
    IBOutlet UITextField *_textfield;

    IBOutlet UIActivityIndicatorView *_activityIndicatorView;

    IBOutlet UIWebView *_webView;
}
@end

@implementation WebViewController
//获取url地址
- (void)loadWebPageWithString:(NSString *)urlString
{
    NSURL *url = [NSURL URLWithString:urlString];
    NSURLRequest *request = [NSURLRequest requestWithURL:url];
    [_webView loadRequest:request];
}
//点击按钮进入网页
- (IBAction)buttonPress:(UIButton *)sender {
    [_textfield resignFirstResponder];
    [self loadWebPageWithString:_textfield.text];

}
- (void)webViewDidStartLoad:(UIWebView *)webView
{
    [_activityIndicatorView startAnimating];
}
- (void)webViewDidFinishLoad:(UIWebView *)webView
{
    [_activityIndicatorView stopAnimating];
}
- (void)webView:(UIWebView *)webView didFailLoadWithError:(NSError *)error
{
    UIAlertView *alertView = [[UIAlertView alloc] initWithTitle:@"提示" message:@"输入地址有误,或者网络已经断开" delegate:nil cancelButtonTitle:@"OK" otherButtonTitles:nil, nil];

    [alertView show];
    [alertView release];
}
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
    //设置默认打开显示网页内容
    _textfield.text = @"http://www.baidu.com";
    [self buttonPress:nil];
    //设置缩放以适应屏幕
    [_webView setScalesPageToFit:YES];
    _webView.delegate = self;
    //进度轮显示的位置
    [_activityIndicatorView setCenter:self.view.center];
    // Do any additional setup after loading the view from its nib.
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

- (void)dealloc {
    [_textfield release];

    [_webView release];
    [_activityIndicatorView release];
    [super dealloc];
}
@end
